#include "TFile.h"
#include "TTree.h"
#include "TBrowser.h"
#include "TH2.h"
#include "TRandom.h"

void ShowSpectrum()
{
  
  gROOT->SetStyle("Plain");
  gStyle->SetOptStat(1001111);
  //gStyle->SetPalette(1);
  //gStyle->SetOptStat(0);

  gStyle->SetLabelSize(0.05, "X");
  gStyle->SetLabelSize(0.05, "Y");
  gStyle->SetTitleSize(0.05, "X");
  gStyle->SetTitleSize(0.05, "Y");

  //gStyle->SetMarkerStyle();


  TFile *f1 = new TFile("EnergySpectrum.root");   //

  f1->ls();
	
  TH1D *Cell_Energy = (TH1D*)f1->Get("Cell_Energy_Xray");

  TH1D *Cell_Energy_Copy = (TH1D*)Cell_Energy->Clone();
  Cell_Energy_Copy->SetName("Cell_Energy_Xray Zoomed");


	
	
  //gStyle->SetOptLogy();
  gStyle->SetMarkerStyle(2);

  TCanvas *c1 = new TCanvas("c1","My Canvas",200,10,700,500);
  c1->SetFillColor(0);
  c1->SetFrameFillColor(0);

  c1->Divide(1,2);

  c1->cd(1);
	
	Cell_Energy->GetXaxis()->SetTitleSize(0.035);
	Cell_Energy->GetXaxis()->SetLabelSize(0.035);
	Cell_Energy->GetXaxis()->SetTitle("Energy (MeV)");
	//Cell_Energy->GetXaxis()->SetRange(2,4500);

	Cell_Energy->GetYaxis()->SetTitleSize(0.035);
	Cell_Energy->GetYaxis()->SetTitleSize(0.035);
	Cell_Energy->GetYaxis()->SetLabelSize(0.035);
	Cell_Energy->GetYaxis()->SetTitleOffset(1.4);
	Cell_Energy->GetYaxis()->SetTitle("Counts");
	
	Cell_Energy->SetLineColor(2);

	Cell_Energy->SetLineWidth(2);
	Cell_Energy->SetOption("HIST");

	Cell_Energy->Draw();



	c1->cd(2);
	
	Cell_Energy_Copy->GetXaxis()->SetRange(0.,100.);

	Cell_Energy_Copy->Draw("HIST");

}   

