
#ifndef DetectorConstruction_h
#define DetectorConstruction_h 1

#include "globals.hh"
#include "G4VUserDetectorConstruction.hh"
#include "tls.hh"
#include "G4Tubs.hh"
#include "G4Box.hh"
#include "G4SubtractionSolid.hh"

class G4VPhysicalVolume;
class G4GlobalMagFieldMessenger;
class G4Material;
class G4GenericMessenger;

//class DetectorMessenger;

class DetectorConstruction : public G4VUserDetectorConstruction
{
  public:
    DetectorConstruction();
    ~DetectorConstruction();

  public:
     G4VPhysicalVolume* Construct();
         virtual void ConstructSDandField();



   // Set methods
   // void SetDetectorMaterial(G4String);

    void SetColliRadius(G4double val);
    G4double GetColliRadius() { return fApertRadius; }

   // Set data members: 
  private:
    void DefineCommands();

    G4GenericMessenger* fMessenger;

    //G4Material* fDetMaterial;  // pointer to the Det  material
    //DetectorMessenger*  fMessenger;   // messenger

    G4GlobalMagFieldMessenger*  fMagFieldMessenger; 
                                         // magnetic field messenger


    G4Tubs* fsolidColliApert;
    G4double fApertRadius;

};

#endif

