#ifndef PhysicsList_h
#define PhysicsList_h 1

#include "G4VUserPhysicsList.hh"
#include "globals.hh"


class G4VPhysicsConstructor;
class PhysicsList: public G4VUserPhysicsList
{
public:
	PhysicsList();
	~PhysicsList();
	
protected:
	//! Construct particles
	void ConstructParticle();
	//! Construct physics processes
	void ConstructProcess();
	//! Define user cuts
	void SetCuts();
private:
	
	G4VPhysicsConstructor*  emPhysicsList;
	G4VPhysicsConstructor*  decayPhysicsList;
	G4VPhysicsConstructor*  decayParticleList;
  //G4VPhysicsConstructor*  hadronElasticPhysicsList;
	G4VPhysicsConstructor*  hadronPhysicsList;

	
};

#endif
