////////////////////////////////////////////////
//
// Apr/2015  E. Nacher  -->  EventAction.cc
//
////////////////////////////////////////////////

#include "EventAction.hh"

#include "RunAction.hh"
#include "G4Event.hh"
#include "G4EventManager.hh"
#include "G4UnitsTable.hh"

#include "Analysis.hh"
#include "G4RunManager.hh"

#include "globals.hh"
#include "G4ios.hh"
#include "fstream"
#include "iomanip"

using namespace std;
using namespace CLHEP;

EventAction::EventAction(RunAction* RunAct)
:runAction(RunAct)
{}

EventAction::~EventAction()
{}

void EventAction::BeginOfEventAction(const G4Event*)
{
for (G4int i=0;i<28;i++) TotalEnergyDepositCell[i] = 0.;
}

void EventAction::EndOfEventAction(const G4Event* evt)
{
  // Accumulate statistics for ROOT histogram
  //

  // get analysis manager
  G4AnalysisManager* analysisManager = G4AnalysisManager::Instance();

  // fill histograms
  for (G4int i=0; i<28; i++){
  	if(TotalEnergyDepositCell[i] > 0.*keV){
	  
	fEresol=0*eV;
	  
	//analysisManager->FillH1(1, RandGauss::shoot(TotalEnergyDepositCell[i],fEresol));
	analysisManager->FillH1(i+1, RandGauss::shoot(TotalEnergyDepositCell[i],fEresol));
	//cout << "TotalEnergyDeposit=" << TotalEnergyDeposit << endl;

	}	
   }	
// reset:
	for (G4int i=0; i<28; i++)TotalEnergyDepositCell[i]=0;

	//
	
 // Accumulate statistics in ASCII file
 //
    G4int event = evt -> GetEventID();
    if(event == ((int)(event/100)*100)) {
        printf("\n............ %d  Events Simulated\n",event);
        cout <<endl<< endl;
        
    }
    

	for(G4int i=0; i<28; i++){
    		if(TotalEnergyDepositCell[i] > 0.*keV){
        
      		  // fill histograms
        
        	runAction-> fillHistogram(TotalEnergyDepositCell[i]); //Singles Spectrum
        
    		}
	}	
    
    
}


void EventAction::addEdepCell(G4double E, G4int i)
{
    TotalEnergyDepositCell[i] += E;
}








