/////////////////////////////////////////////////////////////////////////
//
//     Apr/2018 - M. Labiche --> SteppingAction.cc
//
/////////////////////////////////////////////////////////////////////////

#include "SteppingAction.hh"
#include "EventAction.hh"
#include "G4SteppingManager.hh"
#include "G4ios.hh"

using namespace std;

SteppingAction::SteppingAction(EventAction* EvAct)
:eventAction(EvAct)
{ }

SteppingAction::~SteppingAction()
{ }

void SteppingAction::UserSteppingAction(const G4Step* aStep)
{
    // collect the energy deposited in the sensitive volume
    
    const G4String currentPhysicalName
    = aStep->GetPreStepPoint()->GetPhysicalVolume()->GetName();
    G4int currentPhysiNameCopyNb
    = aStep->GetPreStepPoint()->GetPhysicalVolume()->GetCopyNo();

	//cout << currentPhysicalName << endl;
	//cout << currentPhysiNameCopyNb << endl;

    
//    if (currentPhysicalName == "Cell" && currentPhysiNameCopyNb==13){
    if (currentPhysicalName == "Cell"){
        G4double EdepStep = aStep->GetTotalEnergyDeposit();
        if (EdepStep > 0.) {
            eventAction->addEdepCell(EdepStep, currentPhysiNameCopyNb );
            
        }
    }
        
    
    
}
